Технические требования для Joomla

Технические требования для Joomla 1.6 - 2.5

Программное обеспечениеРекомендуемыеМинимальные
PHP* 5.3 + 5.2.4 +
MySQL** 5.0.4 + 5.0.4 +
Apache***
(c mod_mysql, mod_xml и mod_zlib)
2.x + 2.x +
Microsoft IIS 7 7

Технические требования для Joomla 1.5.x

Программное обеспечениеРекомендуемыеМинимальные
PHP* 5.2 + 4.3.10
MySQL** 4.1.x + 3.23
Apache***
(c mod_mysql, mod_xml и mod_zlib)
2.x + 1.3
Microsoft IIS**** 7 6

* Не используйте PHP 4.3.9, 4.4.2 или 5.0.4. Эти релизы имеют ошибки, которые могут повлиять на инсталляцию. Так же выявлены серьезные ошибки если Вы используете Zend Optimizer 2.5.10 для PHP 4.4.x. Поддержка PHP 5.3 начинается с версии Joomla 1.5.15+.

Если на вашем хостинге расширения (модули) PHP подключаются отдельно, то для работы с Joomla 1.6+ должны быть подключены следующие расширения: DOM, JSON, simplexml

** Joomla пока еще не поддерживает MySQL 6.x

*** Для использования SEO URL-адресов понадобится mod_rewrite для Apache

**** Для Microsoft IIS, в зависимости от настроек, может потребоваться следующее:

  • PHP 5.2
  • MySQL 5.1
  • Microsoft URL Rewrite Module (для SEO URL-адресов)
  • FastCGI
Для получения дополнительной информации в использовании Microsoft IIS, посетите форум.

 

Для установки и настройки этого программного обеспечения на локальный компьютер есть ряд пакетов, которые помогут ускорить и облегчить установку:

  • Денвер (Windows) - Для подробной информации посетите http://www.denwer.ru
  • WAMP (Windows) - Для подробной информации посетите http://www.wampserver.com
  • LAMP (Linux) - Большинство дистрибутивов поставляются с предварительно настроенными LAMP сервером
  • MAMP (Macintosh) - Для подробной информации посетите http://www.mamp.info
  • XAMPP (Все ОС) - Для подробной информации посетите http://www.apachefriends.org/ru/xampp.html

11 

Реклама

pedant.ru
https://pedant-omsk.ru/remont-iphone-6s-6splus
Рейтинг лучших мониторов на 2021 год по цене и качеству.